#!/bin/sh
# ~/.echinus/ChooseTheme.sh
# "Wrapper" pour | for ~/.echinus/Themes-echinus.sh
#### 
Haut="`xwininfo -root | awk '$1 ~ /Height/ { print ($2/5*2)}'`"
# echo $Haut
Large="`xwininfo -root | awk '$1 ~ /Width/ { print ($2/5*2)}'`"
# echo $Large
cd ~/.echinus
Effets="tr -tint Sienna4 -sh 101 -fade 112 -fadecolor bisque"
case "${LANG:0:2}" in
	fr)Titre="Choisir un thème d'echinus" ;;
	en|*)Titre="Choosing a theme for echinus" ;;
esac
urxvt -g 86x21-$Large-$Haut -$Effets -title "                                                            $Titre" -e ./Themes-echinus.sh 2>/dev/null
