#!/bin/ash
# Combinaisons.sh ## "Touches magiques" dans / "Hot Keys" in / echinus
#
# © Christian L'Écuyer, Gatineau (Qc), Canada,  29 août 2017. GPL3.
#  (Alias « musher0 » [forum Puppy].) # Rév. 14 sept. et 13 oct. 2017.
# https://opensource.org/licenses/GPL-3.0
#################
#    	This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#    	This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########

# LANG_VX="$LANG";LANG="en_CA.utf8" # Pour tester en anglais.

# Pour less
[ `which joe` ] && export EDITOR=/opt/local/bin/joel.sh || export EDITOR=/usr/local/bin/defaulttexteditor
# Also known to work with less:
# export EDITOR=/usr/bin/geany # export EDITOR=/usr/bin/teagtk
# NOTA -- # export LESSEDIT=%E %f # LESSEDIT fonctionne comme-ci comme-ça.
#####
if [ "`cat /etc/windowmanager`" = "echinus" ];then
	psawk () { ps | awk '$NF ~ /Combina/ && $4 ~ /less/ { print $1 }'; }
	if [ "`psawk`" ];then
		kill -s 15 `psawk` # wmctrl -c Combina #
	else
		FNT="fn xft:Monaco:pixelsize=14:antialias=true:autohint=true"
		FadE="fade 70 -fadecolor "#94A495""
		ColoR="bg "#1A381A" -fg LemonChiffon1 -tr -tint firebrick4 -sh 67"
		case "${LANG:0:2}" in fr)Titre="         Combinaisons de touches dans echinus"
			TexT="/root/.echinus/Echinus-Combinaisons.txt" ;;
			en|*)Titre="         Key Combinations in echinus"
			TexT="/root/.echinus/Echinus-Combinations.txt" ;;
		esac
		urxvt -title "$Titre" +sb -g 76x22-200+200 -tr -$FNT -$FadE -$ColoR -e less -~ -P "             $Titre                    " $TexT 2>/dev/null & # -N
	fi
fi
# LANG="$LANG_VX" # Pour tester en anglais.
### 30 ###
