#!/bin/sh
# /root/.echinus/ChooseTheme.sh
#
# Theme chooser script for the echinus WM /
# Choix de thème pour le gest. de fen. echinus.
####
# LANG_VX="$LANG";LANG=en_CA.utf8 # For tests
cd /root/.echinus

case "${LANG:0:2}" in
	fr)ThemAct="Thème actuel :"
	Choisir="Veuillez choisir un thème d'echinus parmi la liste suivante :"
		PaSur="Si vous n'êtes pas sûr(e), tapez Ctrl-C et regardez les
\texemples en jpg et en gif à ~/.echinus/themes/reference."
		Inject="Le thème a été injecté avec succès dans
\t\tle fichier de ressources d'echinus.
\t\tEchinus peut maintenant redémarrer."
		PasCoquil="Il y a eu erreur. Veuillez réessayer avec
		un de ces thèmes-ci, peut-être : "
		Desole="Il n'y a aucun thème de nom analogue. Désolé." ;;

	en|*)ThemAct="Present Theme:"
	Choisir="Please choose an echinus theme among one of the following:"
		PaSur="If you are unsure, please type Ctrl-C and look
\tat the jpg and gif examples at ~/.echinus/themes/reference."
		Inject="The theme was successfully injected
\t\tinto the echinus WM resource file.
\t\tEchinus can now restart."
		PasCoquil="There was a typo. Please retry with
		one of these themes, perhaps:" 
		Desole="There is no theme with such a name. Sorry." ;;
esac

clear;echo -e "\n\t\e[32m$Choisir\e[0m"
ls -1 /root/.echinus/themes | grep -v -E "/|list|atelier|reference" > /tmp/themes.lst
echo -e "\e[37m"
while read line;do 
	read line1;read line2;read line3;read line4
	echo -e "    $line\t  $line1\t  $line2\t  $line3\t  $line4"
done < /tmp/themes.lst # wc -L < /tmp/themes.lst 
echo -en "\e[m"
echo -e "\t\t\t\e[34m$ThemAct `tail -1 /root/.echinus/CurrentTheme | cut -d' ' -f 1` 
\e[0m\t\e[32m$PaSur\e[0m\n"
read ThemE

if [ ! -f /root/.echinus/themes/$ThemE ];then 
	echo -e "\t\t\e[32m$PasCoquil\e[0m"
	cd /root/.echinus/themes
	if [ "`ls *$ThemE* 2>/dev/null`" = "" ];then
		echo -e "\t\t\e[32m$Desole\e[0m"
	else
		ls  -x *$ThemE*
		echo
	fi
	exit
else
	cat en-tete themes/$ThemE bas > echinusrc
	exec /root/.echinus/OuricoTheme.sh &
	
	echo "$ThemE - `date`" >> /root/.echinus/CurrentTheme
	sleep 1s
	echo -e "\t\t\e[32m$Inject\e[0m\n"
	sleep 5s

	restartwm echinus
fi
# LANG="$LANG_VX" # For tests
